Subject: bug#72334: [PATCH] Always print commas and comma-ats specially

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 15:37:44 -0800

Stefan Monnier <[email-masked]> writes:

>>>> Could you please summarize the issue that this is intended to fix?
>>> (cons 'foo (list '\, 'bar)) should be printed as (foo . ,bar) instead of
>>> (foo \, bar).  Same for (foo . ,@bar) and (foo . `bar), and maybe even
>>> (foo . 'bar) and (foo . #'bar).
>> Stefan M, any comments?
>
> I haven't looked at the patch, but the goes above sounds good.
> It doesn't occur very often in my experience, but when it occurs it does
> look odd and can easily confuse the reader.

Thanks.

Thuna, I didn't study your patch very deeply yet but the first thing
that stands out is that there are no tests.  Any chance you could look
into that?